Browse files

Dependencies

  • Loading branch information...
1 parent 5d3be6e commit 769c8b5a4d28ba7a3461ae5b0c66c366ef8d647c @levmatta-umanni levmatta-umanni committed Dec 18, 2011
Showing with 7 additions and 97 deletions.
  1. +3 −3 Gemfile
  2. +0 −90 Gemfile.lock
  3. +4 −4 cramp.gemspec
View
6 Gemfile
@@ -10,12 +10,12 @@ group :test do
end
group :example do
- gem 'activerecord', '~> 3.0.9'
- gem 'mysql2', '~> 0.2.11'
+ gem 'activerecord'
+ gem 'mysql2'
gem 'em-http-request'
- gem 'thin', '~> 1.2.11'
+ gem 'thin'
gem 'yajl-ruby', :require => 'yajl'
View
90 Gemfile.lock
@@ -1,90 +0,0 @@
-PATH
- remote: .
- specs:
- cramp (0.15.1)
- activesupport (~> 3.0.9)
- eventmachine (~> 1.0.0.beta.3)
- rack (~> 1.3.2)
- thor (~> 0.14.6)
-
-GEM
- remote: http://rubygems.org/
- specs:
- activemodel (3.0.9)
- activesupport (= 3.0.9)
- builder (~> 2.1.2)
- i18n (~> 0.5.0)
- activerecord (3.0.9)
- activemodel (= 3.0.9)
- activesupport (= 3.0.9)
- arel (~> 2.0.10)
- tzinfo (~> 0.3.23)
- activesupport (3.0.9)
- addressable (2.2.6)
- ansi (1.3.0)
- arel (2.0.10)
- async-rack (0.5.1)
- rack (~> 1.1)
- async_sinatra (0.5.0)
- rack (>= 1.2.1)
- sinatra (>= 1.0)
- builder (2.1.2)
- daemons (1.1.4)
- em-http-request (0.3.0)
- addressable (>= 2.0.0)
- escape_utils
- eventmachine (>= 0.12.9)
- em-synchrony (0.2.0)
- eventmachine (>= 0.12.9)
- erubis (2.7.0)
- escape_utils (0.2.3)
- eventmachine (1.0.0.beta.3)
- http_router (0.10.0)
- rack (>= 1.0.0)
- url_mount (~> 0.2.1)
- i18n (0.5.0)
- kgio (2.6.0)
- mysql2 (0.2.11)
- rack (1.3.2)
- rainbows (4.2.0)
- kgio (~> 2.5)
- rack (~> 1.1)
- unicorn (~> 4.0)
- raindrops (0.7.0)
- sinatra (1.2.6)
- rack (~> 1.1)
- tilt (>= 1.2.2, < 2.0)
- thin (1.2.11)
- daemons (>= 1.0.9)
- eventmachine (>= 0.12.6)
- rack (>= 1.0.0)
- thor (0.14.6)
- tilt (1.3.2)
- turn (0.8.2)
- ansi (>= 1.2.2)
- tzinfo (0.3.29)
- unicorn (4.0.1)
- kgio (~> 2.4)
- rack
- raindrops (~> 0.6)
- url_mount (0.2.1)
- rack
- yajl-ruby (0.8.2)
-
-PLATFORMS
- ruby
-
-DEPENDENCIES
- activerecord (~> 3.0.9)
- async-rack
- async_sinatra
- cramp!
- em-http-request
- em-synchrony
- erubis
- http_router
- mysql2 (~> 0.2.11)
- rainbows
- thin (~> 1.2.11)
- turn
- yajl-ruby
View
8 cramp.gemspec
@@ -12,10 +12,10 @@ Gem::Specification.new do |s|
# Not in a very distant future
# s.required_ruby_version = '>=1.9.2'
- s.add_dependency('activesupport', '~> 3.0.9')
- s.add_dependency('rack', '~> 1.3.2')
- s.add_dependency('eventmachine', '~> 1.0.0.beta.3')
- s.add_dependency('thor', '~> 0.14.6')
+ s.add_dependency('activesupport', '>= 3.0.9')
+ s.add_dependency('rack', '>= 1.3.2')
+ s.add_dependency('eventmachine', '>= 1.0.0.beta.3')
+ s.add_dependency('thor', '>= 0.14.6')
s.files = Dir['README', 'MIT-LICENSE', 'lib/**/*', 'bin/**/*']
s.has_rdoc = false

0 comments on commit 769c8b5

Please sign in to comment.